org.apache.hc.client5.http.async.methods

## Enum SimpleHttpRequests

- java.lang.Object
- - java.lang.Enum<SimpleHttpRequests>
  - - org.apache.hc.client5.http.async.methods.SimpleHttpRequests

All Implemented Interfaces:
  Serializable, Comparable<SimpleHttpRequests>

    public enum SimpleHttpRequests
    extends Enum<SimpleHttpRequests>

Common HTTP methods using `SimpleHttpRequest` as a HTTP request message representation.

Since:
  5.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`PATCH`
`POST`
`PUT`
`TRACE`

### Method Summary

Methods
`abstract SimpleHttpRequest` `create(org.apache.hc.core5.http.HttpHost host, String path)` Creates a request object of the exact subclass of `SimpleHttpRequest`.
`SimpleHttpRequest` `create(String uri)` Creates a request object of the exact subclass of `SimpleHttpRequest`.
`abstract SimpleHttpRequest` `create(URI uri)` Creates a request object of the exact subclass of `SimpleHttpRequest`.
`static SimpleHttpRequests` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleHttpRequests[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DELETE

    public static final SimpleHttpRequests DELETE

#### GET

    public static final SimpleHttpRequests GET

#### HEAD

    public static final SimpleHttpRequests HEAD

#### OPTIONS

    public static final SimpleHttpRequests OPTIONS

#### PATCH

    public static final SimpleHttpRequests PATCH

#### POST

    public static final SimpleHttpRequests POST

#### PUT

    public static final SimpleHttpRequests PUT

#### TRACE

    public static final SimpleHttpRequests TRACE

### Method Detail

#### values

    public static SimpleHttpRequests[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SimpleHttpRequests c : SimpleHttpRequests.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SimpleHttpRequests valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### create

    public SimpleHttpRequest create(String uri)

Creates a request object of the exact subclass of `SimpleHttpRequest`.

Parameters:
  `uri` - a non-null URI String.
Returns:
  a new subclass of SimpleHttpRequest

#### create

    public abstract SimpleHttpRequest create(URI uri)

Creates a request object of the exact subclass of `SimpleHttpRequest`.

Parameters:
  `uri` - a non-null URI.
Returns:
  a new subclass of SimpleHttpRequest

#### create

    public abstract SimpleHttpRequest create(org.apache.hc.core5.http.HttpHost host,
                           String path)

Creates a request object of the exact subclass of `SimpleHttpRequest`.

Parameters:
  `host` - HTTP host.
  `path` - request path.
Returns:
  a new subclass of SimpleHttpRequest